Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class VersionSeriesAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.VersionSeriesAdmin

    public class VersionSeriesAdmin

extends java.lang.Object

The `VersionSeriesAdmin.java` class - collection of VersionSeries admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_VersionSeriesTable`

Constructor Summary
`VersionSeriesAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `deleteVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of delete VersionSeries
`void` | `deleteVersionSeries(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete VersionSeries
`void` | `deleteVersionSeries(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete VersionSeries
`void` | `freeVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of Free VersionSeries
`void` | `freeVersionSeries(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free VersionSeries
`void` | `identifyVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of Identify VersionSeries
`void` | `identifyVersionSeries(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify VersionSeries
`VersionSeries` | `lookupVersionSeries(java.lang.String idname)`
`void` | `modifyVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of Modify VersionSeries
`void` | `modifyVersionSeries(LibrarySession sess, java.lang.String idname, VersionSeriesDefinition def)` internal variant of Modify VersionSeries
`void` | `showVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of showVersionSeries
`void` | `showVersionSeries(LibrarySession sess, java.lang.String docname)` Inline/internal variant of showVersionSeries
`void` | `showVersionSeries(LibrarySession sess, VersionSeries vs)`
`void` | `undeleteVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of undelete VersionSeries
`void` | `undeleteVersionSeries(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete VersionSeries
`void` | `undeleteVersionSeries(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete VersionSeries
`void` | `unidentifyVersionSeries(LibrarySession sess, ParameterTable params)` Section variant of Unidentify VersionSeries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_VersionSeriesTable

    protected java.util.Hashtable m_VersionSeriesTable

Constructor Detail

### VersionSeriesAdmin

    public VersionSeriesAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### modifyVersionSeries

    public void modifyVersionSeries(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of Modify VersionSeries

  Throws:
    `IfsException`

### modifyVersionSeries

    public void modifyVersionSeries(LibrarySession sess,
                                    java.lang.String idname,
                                    VersionSeriesDefinition def)
                             throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  internal variant of Modify VersionSeries

  Throws:
    `IfsException`

### freeVersionSeries

    public void freeVersionSeries(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of Free VersionSeries

  Throws:
    `IfsException`

### freeVersionSeries

    public void freeVersionSeries(LibrarySession sess,
                                  java.lang.String idname)
                           throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Free VersionSeries

  Throws:
    `IfsException`

### deleteVersionSeries

    public void deleteVersionSeries(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of delete VersionSeries

  Throws:
    `IfsException`

### deleteVersionSeries

    public void deleteVersionSeries(LibrarySession sess,
                                    java.lang.String idname)
                             throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Delete VersionSeries

  Throws:
    `IfsException`

### deleteVersionSeries

    public void deleteVersionSeries(LibrarySession sess,
                                    java.lang.String idname,
                                    LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Delete VersionSeries

  Throws:
    `IfsException`

### undeleteVersionSeries

    public void undeleteVersionSeries(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of undelete VersionSeries

  Throws:
    `IfsException`

### undeleteVersionSeries

    public void undeleteVersionSeries(LibrarySession sess,
                                      java.lang.String idname)
                               throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Undelete VersionSeries

  Throws:
    `IfsException`

### undeleteVersionSeries

    public void undeleteVersionSeries(LibrarySession sess,
                                      java.lang.String idname,
                                      LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Undelete VersionSeries

  Throws:
    `IfsException`

### identifyVersionSeries

    public void identifyVersionSeries(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of Identify VersionSeries

  Throws:
    `IfsException`

### identifyVersionSeries

    public void identifyVersionSeries(LibrarySession sess,
                                      java.lang.String idname,
                                      java.lang.Long id,
                                      java.lang.String name,
                                      java.lang.String valueDefaultName,
                                      java.lang.String path)
                               throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of Identify VersionSeries

  Throws:
    `IfsException`

### unidentifyVersionSeries

    public void unidentifyVersionSeries(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of Unidentify VersionSeries

  Throws:
    `IfsException`

### showVersionSeries

    public void showVersionSeries(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Section variant of showVersionSeries

  Throws:
    `IfsException`

### showVersionSeries

    public void showVersionSeries(LibrarySession sess,
                                  java.lang.String docname)
                           throws IfsException

  Description copied from class: `VersionSeriesAdmin`
  Inline/internal variant of showVersionSeries

  Throws:
    `IfsException`

### lookupVersionSeries

    public VersionSeries lookupVersionSeries(java.lang.String idname)
                                      throws IfsException

  Throws:
    `IfsException`

### showVersionSeries

    public void showVersionSeries(LibrarySession sess,
                                  VersionSeries vs)
                           throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD